## WDS Get Dormancy Status request

WDS Get Dormancy Status request

## Functions

QmiMessageWdsGetDormancyStatusOutput * | qmi_message_wds_get_dormancy_status_output_ref ()
void | qmi_message_wds_get_dormancy_status_output_unref ()
gboolean | qmi_message_wds_get_dormancy_status_output_get_result ()
gboolean | qmi_message_wds_get_dormancy_status_output_get_dormancy_status ()
void | qmi_client_wds_get_dormancy_status ()
QmiMessageWdsGetDormancyStatusOutput * | qmi_client_wds_get_dormancy_status_finish ()

## Types and Values

| QmiMessageWdsGetDormancyStatusOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageWdsGetDormancyStatusOutput

## Description

## Functions

### qmi_message_wds_get_dormancy_status_output_ref ()

    QmiMessageWdsGetDormancyStatusOutput *
    qmi_message_wds_get_dormancy_status_output_ref
                                   (QmiMessageWdsGetDormancyStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetDormancyStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_wds_get_dormancy_status_output_unref ()

    void
    qmi_message_wds_get_dormancy_status_output_unref
                                   (QmiMessageWdsGetDormancyStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetDormancyStatusOutput. |

Since: 1.14

### qmi_message_wds_get_dormancy_status_output_get_result ()

    gboolean
    qmi_message_wds_get_dormancy_status_output_get_result
                                   (QmiMessageWdsGetDormancyStatusOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetDormancyStatusOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.14

### qmi_message_wds_get_dormancy_status_output_get_dormancy_status ()

    gboolean
    qmi_message_wds_get_dormancy_status_output_get_dormancy_status
                                   (QmiMessageWdsGetDormancyStatusOutput *self,
                                    QmiWdsDormancyStatus *value_dormancy_status,
                                    GError **error);

Get the 'Dormancy Status' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDormancyStatusOutput. |
value_dormancy_status | a placeholder for the output QmiWdsDormancyStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_client_wds_get_dormancy_status ()

    void
    qmi_client_wds_get_dormancy_status (QmiClientWds *self,
                                        gpointer unused,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Get Dormancy Status request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_dormancy_status_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_wds_get_dormancy_status_finish ()

    QmiMessageWdsGetDormancyStatusOutput *
    qmi_client_wds_get_dormancy_status_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_dormancy_status()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_dormancy_status()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetDormancyStatusOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_dormancy_status_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageWdsGetDormancyStatusOutput

    typedef struct _QmiMessageWdsGetDormancyStatusOutput QmiMessageWdsGetDormancyStatusOutput;

The QmiMessageWdsGetDormancyStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14